Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000012bareos-core[All Projects] directorpublic2012-12-07 21:052015-03-25 19:19
Reportermvwieringen 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version13.4.0 
Target Version14.2.0Fixed in Version14.2.0 
Summary0000012: Implementation of Python Director Plugin
DescriptionImplement a plugin that makes it possible to write Director plugins in Python.
Additional InformationStub plugin function is available that loads a python interpreter per plugin
instance. Need to link the plugin events to Python methods and allow the Python
code to call the plugin code do read and write plugin variables.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000299)
maik (administrator)
2013-03-22 16:43

will be done, if time is available....
(0000756)
mvwieringen (developer)
2013-12-09 15:17

Fix committed to bareos master branch with changesetid 1367.
(0001482)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 4968.
(0001634)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master 7790a32f
Timestamp: 2013-12-09 14:13:48
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Implementation of Python Director Plugin

Implement a plugin that makes it possible to write Director plugins in Python.

Stub plugin function is available that loads a python interpreter per plugin
instance. Need to link the plugin events to Python methods and allow the Python
code to call the plugin code do read and write plugin variables.

Fixes 0000012: Implementation of Python Director Plugin
mod - src/dird/dir_plugins.c Diff ] File ]
mod - src/dird/dir_plugins.h Diff ] File ]
mod - src/plugins/dird/Makefile.in Diff ] File ]
add - src/plugins/dird/bareos-dir.py Diff ] File ]
add - src/plugins/dird/bareos_dir_consts.py Diff ] File ]
mod - src/plugins/dird/python-dir.c Diff ] File ]
add - src/plugins/dird/python-dir.h Diff ] File ]
bareos2015: bareos-14.2 950e8ba1
Timestamp: 2013-12-09 15:13:48
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Implementation of Python Director Plugin

Implement a plugin that makes it possible to write Director plugins in Python.

Stub plugin function is available that loads a python interpreter per plugin
instance. Need to link the plugin events to Python methods and allow the Python
code to call the plugin code do read and write plugin variables.

Fixes 0000012: Implementation of Python Director Plugin
mod - src/dird/dir_plugins.c Diff ] File ]
mod - src/dird/dir_plugins.h Diff ] File ]
mod - src/plugins/dird/Makefile.in Diff ] File ]
add - src/plugins/dird/bareos-dir.py Diff ] File ]
add - src/plugins/dird/bareos_dir_consts.py Diff ] File ]
mod - src/plugins/dird/python-dir.c Diff ] File ]
add - src/plugins/dird/python-dir.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-07 21:05 mvwieringen New Issue
2012-12-10 14:01 maik Category General => director
2013-03-04 11:06 mvwieringen Product Version => 13.2.0
2013-03-04 11:06 mvwieringen Target Version => 13.2.0
2013-03-22 16:43 maik Status new => confirmed
2013-03-22 16:43 maik Note Added: 0000299
2013-06-05 13:05 mvwieringen Product Version 13.2.0 => 13.4.0
2013-06-05 13:05 mvwieringen Target Version 13.2.0 => 13.4.0
2013-10-08 09:04 mvwieringen Assigned To => mvwieringen
2013-10-08 09:04 mvwieringen Status confirmed => acknowledged
2013-10-08 09:32 mvwieringen Assigned To mvwieringen =>
2013-12-09 15:17 mvwieringen Changeset attached => bareos master 7790a32f
2013-12-09 15:17 mvwieringen Note Added: 0000756
2013-12-09 15:17 mvwieringen Assigned To => mvwieringen
2013-12-09 15:17 mvwieringen Status acknowledged => resolved
2013-12-09 15:17 mvwieringen Resolution open => fixed
2014-05-16 17:34 mvwieringen adm Assigned To mvwieringen =>
2014-05-16 17:34 mvwieringen adm Status resolved => closed
2014-05-16 17:34 mvwieringen adm Fixed in Version => 14.2.0
2014-05-16 17:34 mvwieringen adm Target Version 13.4.0 => 14.2.0
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 950e8ba1
2015-03-25 16:51 mvwieringen Note Added: 0001482
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001634
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker